Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class CellEditorAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.CellEditorAction

All Implemented Interfaces:
  CellEditorListener, EventListener

public class CellEditorAction
extends AbstractAction
implements CellEditorListener

Actionimplementierung fuer ChangeEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`CellEditorAction()`

Method Summary
`void` | `doEditingCanceled(ChangeEvent ce)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doEditingStopped(ChangeEvent ce)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `editingCanceled(ChangeEvent ce)`
`void` | `editingStopped(ChangeEvent ce)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellEditorAction

    public CellEditorAction()

Method Detail

### editingStopped

    public void editingStopped(ChangeEvent ce)

  Specified by:
    `editingStopped` in interface `CellEditorListener`

### doEditingStopped

    public void doEditingStopped(ChangeEvent ce)
                          throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ce` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### editingCanceled

    public void editingCanceled(ChangeEvent ce)

  Specified by:
    `editingCanceled` in interface `CellEditorListener`

### doEditingCanceled

    public void doEditingCanceled(ChangeEvent ce)
                           throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ce` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD